<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
	<title>{#$title#}</title>
	<meta name="author" content="骑士CMS" />
	<meta name="copyright" content="74cms.com" />
	<link rel="shortcut icon" href="{#$QISHI.site_dir#}favicon.ico" />
	<link rel="stylesheet" href="{#$QISHI.site_template#}css/user_common.css" />
	<link rel="stylesheet" href="{#$QISHI.site_template#}css/user_personal.css" />
	<script src="{#$QISHI.site_template#}js/jquery.js"></script>
	<script src="{#$QISHI.site_template#}js/jquery.dropdown.js"></script>
	<script>
		$(document).ready(function() {
			$(".operating:last").css({"border-right":"0"});
			//屏蔽企业的部分
			$(".shield_com_box").live('hover',function(event){
				if(event.type=='mouseenter'){
					$(this).css({"background-color":"#CEDFE8"});
					$(this).css({"padding-top":"10"});
					$(this).children('.shield_com_name').width(124);
					$(this).find(".setting_but").show();
				}else{
					$(this).css({"background-color":"#FFF"});
					$(this).children('.shield_com_name').width(160);
					$(this).find(".setting_but").hide();
				}
			});  
			//添加
			$("#persion_screen_company").live('click',function(){
				$("#persion_screen_do").show().find('#screen_company').val(''); 
				$(".only_shield_com").remove();
			});
			if($(".shield_com_box").length == 0){
				$("#shield_no_company").show();
			}else{
				$("#shield_no_company").hide();
			}
			$("#company_screen_save").live('click',function(){
				screen_company_val = $("#screen_company").val();  
				$.post('{#$QISHI.site_dir#}user/personal/personal_ajax.php?act=save_shield_company',{comkeyword:screen_company_val},function(data){   
					if(data == -1){ 
						alert('数据添加失败！');
					}else if(data == -2){
						alert("这个关键字已经纯在！");
					}else if(data == -3){
						alert("屏蔽企业最多不能超过5条！");
					}else{
						html = ''+
							'<div class="shield_com_box clearfix">'+
								'<div class="shield_com_name" title="'+screen_company_val+'">'+screen_company_val+'</div>'+
								'<div class="setting_but" style="padding-top:10px;">'+
									'<a href="javascript:;" shield_id="'+data+'" class="setting_change" title="修改"></a>'+
									'<a href="javascript:;" shield_id="'+data+'"  class="setting_del" title="删除"></a>'
								'</div>'+
							'</div>'; 
					    length_shield = $('.shield_com_name').length;
						if(length_shield == 0){
							$("#persion_screen_do").before(html); 
						}else{
							$(".setting_box .shield_com_box:last").after(html); 
						}
					}
					if($(".shield_com_box").length == 0){
						$("#shield_no_company").show();
					}else{
						$("#shield_no_company").hide();
					}
					$("#persion_screen_do").hide();
					$("#persion_screen_company").parent().show();
				}); 
			});
			//修改屏蔽 
			$('.setting_change').live('click',function(){
				$("#persion_screen_company").parent().hide();
				$this = $(this);
				sid = $this.attr('shield_id');	
				scon = $this.parent().prev('.shield_com_name').html(); 
				html =	'<div class="add_shield_box only_shield_com">'+
							'<input type="text" name="screen_company" id="screen_company" class="add_shield_input" value="'+scon+'"/>'+
							'<a href="javascript:;" sh_id="'+sid+'"  class="add_but update_shield_update">修改</a>'+
							'<a href="javascript:;"  sh_id="'+sid+'" class="cancel update_shield_cancel">取消</a></div>'; 
				$(".only_shield_com").remove();
				$(".shield_com_box").show();
				$("#persion_screen_do").hide();
				$this.parent().parent(".shield_com_box").hide().after(html);  
				
			});
			
			//修改保存
			$(".update_shield_update").live('click',function(){
				$this = $(this);
				sh_id = $this.attr('sh_id');
				sh_val = $this.prev(".add_shield_input").val();
				$.post('{#$QISHI.site_dir#}user/personal/personal_ajax.php?act=get_shield_com_keyword',{id:sh_id,comkeyword:sh_val},function(data){
					$this.parents(".add_shield_box").hide().prev(".shield_com_box").show().find(".shield_com_name").html(sh_val).attr('title',sh_val);
					$this.parents(".add_shield_box").remove();
				});
				$("#persion_screen_company").parent().show();
			});
			
			//删除屏蔽企业
			$('.setting_del').live('click',function(){
				if (confirm('你确定要删除吗？'))
					{
					$this = $(this);
					shiled_id = $(this).attr('shield_id');
					$.post('{#$QISHI.site_dir#}user/personal/personal_ajax.php?act=del_shield_company',{keyword_id:shiled_id},function(data){  
						if(data == 1){
							$this.parent().parent(".shield_com_box").remove();
							if($(".shield_com_box").length == 0){
								$("#shield_no_company").show();
							}else{
								$("#shield_no_company").hide();
							}
						}else{
							alert('删除失败！');
						}
					});
				}
			});
			
			//添加取消
			$("#company_screen_cancel").live('click',function(){
				$(this).parents("#persion_screen_do").hide();
				$("#persion_screen_company").parent().show();
				$("#screen_company").val('');   
			});
			//修改屏蔽
			$(".update_shield_cancel").live('click',function(){
				$this = $(this);
				$this.parents(".add_shield_box").hide().prev(".shield_com_box").show().next(".only_shield_com").remove(); 
				$("#persion_screen_company").parent().show();
			});
			// 简历可见度下拉
			visibilityDrop("#visibility_menu", "#visibility_name","{#$QISHI.site_dir#}"); 
			$(".watch:odd").css({"margin-right":"0"});
			$(".watch").hover(function(){
				$(this).find('.sanjiao').css({"border-top-color":"#FF9900"});
			},function(){
				$(this).find('.sanjiao').css({"border-top-color":"#6EAACA"});
			});
			$(".need_box_item").hover(function(){
				$(this).find(".interview_but_box").show();
			},function(){
				$(this).find(".interview_but_box").hide();
			});
			//刷新简历
			$(".but80orange").click(function(){
				var id = $(this).attr("id");
				$.get("personal_ajax.php?act=refresh_resume&id="+id,function(result){
					if(result=="1"){
						alert("刷新成功");
						location.reload();
					}else{
						alert("刷新失败");
					}
				});
			});
			// 推荐职位
			$.get('?act=ajax_get_jobs_list', {type:"interest"}, function(data) {
				$("#interest_jobs_list").html(data+'<a href="{#"QS_jobslist"|qishi_url#}" int_id="{#$next_page#}"  class="more_big_button" id="more_int">查看更多职位</a>');
			});
			// 最新职位
			$.get('?act=ajax_get_jobs_list', {type:"new"},function(data) {
				$("#new_jobs_list").empty().html(data+'<a href="{#"QS_jobslist"|qishi_url#}" n_id="{#$next_page#}" class="more_big_button" id="more_new">查看更多职位</a>');
			});
			// 紧急招聘
			$.get('?act=ajax_get_jobs_list', {type:"hot"},function(data) {
				$("#hot_jobs_list").empty().html(data+'<a href="{#"QS_jobslist"|qishi_url#}"  h_id="{#$next_page#}" class="more_big_button" id="more_hot">查看更多职位</a>');
			});
			// 职位选项卡切换
			$(".job_list_top_nav .nav_li").live('click',function(){
				$(this).children("a").addClass("select_nav");
				$(this).siblings().children("a").removeClass("select_nav");
				var idx = $(this).index();
				$("div.need_list_box").eq(idx).show().siblings(".need_list_box").hide();
			});
			
			$(".refresh_resume_index").live('click',function(){
				location.href="personal_resume.php?act=refresh";
			});
			
		});
	</script>
</head>
<body>
	{#include file="member_personal/header.htm"#}
	<!-- 个人会员中心首页 -->
	<div class="container">
		<div class="personal_index_box clearfix">
			<div class="personal_index_left">
				<div class="personal_info_box clearfix">
					<div class="personal_avater">
						<div class="avater_box">
							{#if $my_resume.photo_img == ""#}
						  	<img src="{#$QISHI.site_template#}images/p_pic05.gif" alt="" width="168" height="168" />
						  	{#else#}
						  	<img name="" src="{#$QISHI.site_dir#}data/{#$QISHI._resume_photo_dir_thumb#}/200/{#$my_resume.photo_img#}" width="168" height="168" alt="" />
						  	{#/if#}
				  		</div>
						<a href="personal_resume.php?act=resume_show" class="change_avater">修改头像</a>
					</div>
					<div class="rbox">
						<div class="rbox_top clearfix">
							<div class="name_box">
								<h2>{#if $my_resume.fullname!=''#}{#$my_resume.fullname#}{#else#}{#$user.username#}{#/if#}</h2>
								<p>手机：{#$user.mobile#} {#if $user.mobile_audit=="1"#}<span>[已认证]</span>{#else#}<span><a style="color:#ff0000;" href="personal_info.php?act=user_mobile">[立即认证]</a></span>{#/if#}</p>
								<p title="">邮箱：{#$user.email#}{#if $user.email_audit=="1"#}<span>[已认证]</span>{#else#}<span><a style="color:#ff0000;" href="personal_info.php?act=user_email" style="color:#247faf">[立即认证]</a></span>{#/if#}
							  	</p>
							</div>
							<div class="percent percent{#$my_resume.complete_percent#}" title="简历完善度：{#$my_resume.complete_percent#}%"></div>
							<div class="button_group link_blue">
								<input id="{#$my_resume.id#}" type="button"  value="刷新简历" class="but80orange refresh_resume_index" /><br />
								<a href="personal_resume.php?act=resume_show">完善简历</a>
							</div>
						</div>
						<div class="rbox_bottom">
							<ul class="clearfix">
								<li class="operating">
									<div class="number"><a href="personal_apply.php?act=apply_jobs">{#$count_apply#}</a></div>
									<a href="personal_apply.php?act=apply_jobs" class="type">我申请的职位</a>
								</li>
								<li class="operating">
									<div class="number"><a href="personal_apply.php?act=interview">{#$count_interview#}</a></div>
									<a href="personal_apply.php?act=interview" class="type">面试邀请</a>
								</li>
								<li class="operating">
									<div class="number"><a href="personal_apply.php?act=attention">{#$count_com_downresume#}</a></div>
									<a href="personal_apply.php?act=attention" class="type">简历被下载</a>
								</li>
								<li class="operating">
									<div class="number"><a href="personal_hunter_service.php">{#$count_hunter#}</a></div>
									<a href="personal_hunter_service.php" class="type">我的猎头顾问</a>
								</li>
							</ul>
						</div>
					</div>
				</div>
				<div class="need_job_list">
					<div class="job_list_top_nav clearfix">
						<div class="nav_li"><a href="javascript:;" show="recommend" class="select_nav">推荐职位</a><span>|</span></div>
						<div class="nav_li"><a href="javascript:;" show="like">最新职位</a><span>|</span></div>
						<div class="nav_li"><a href="javascript:;" show="emergency">紧急招聘</a><img src="{#$QISHI.site_template#}images/p_hot.gif" alt="" /></div>
					</div>
					<!--div class="change_job_list link_blue"><a href="">换一批</a></div-->
					<!-- 推荐职位 -->
					 <style type="text/css">.need_list_box .need_box_item .jobs_name a:hover{ text-decoration:underline;color:#247FAF; }</style>
					<div class="need_list_box" id="interest_jobs_list">
						 
						
					</div>
					<!-- 推荐职位  结束 -->
					<!-- 最新职位 -->
					<div class="need_list_box" style="display: none;" id="new_jobs_list">
						 
					</div>
					<!-- 最新职位 结束 -->
					<!-- 紧急招聘 -->
					<div class="need_list_box" style="display: none;" id="hot_jobs_list">
						
						 
					</div>
					<!-- 紧急招聘 结束 -->
					
				</div>
			</div>
			<!-- 首页右边 -->
			<div class="personal_index_right">
				<div class="index_right_box">
					<div class="right_top_box">
						<div class="index_right_title">隐私设置</div>
						<div class="personal_privacy_setting">
							<div class="opcity clearfix optionlist w_135">
								<div class="opciry_title">简历可见度：</div>
								<div class="opcity_list" id="visibility_menu">
									<span class="opcity_input" id="visibility_name">{#if $my_resume.display=="1"#}完全公开{#elseif $my_resume.display=="2"#}仅企业可见{#elseif $my_resume.display=="3"#}仅猎头可见{#elseif $my_resume.display=="4"#}完全不公开{#/if#}</span>
								</div>
								<ul class="droplist">
									<li><a id="1" dataid="1" title="完全公开" href="javascript:;">完全公开</a></li>
									<li><a id="2" dataid="2" title="仅企业可见" href="javascript:;">仅企业可见</a></li>
									<li><a id="3" dataid="3" title="仅猎头可见" href="javascript:;">仅猎头可见</a></li>
									<li><a id="4" dataid="4" title="完全不公开" href="javascript:;">完全不公开</a></li>
								</ul>
							</div>
							<div class="shield_company">
								<div class="shield_title">屏蔽的企业：<span id="shield_no_company">您还没有添加屏蔽的企业</span></div>
								<div class="setting_box">
									{#if $shield_company#}
									{#foreach from=$shield_company item=com#}
									<div class="shield_com_box clearfix">
										<div class="shield_com_name" title="{#$com.comkeyword#}">{#$com.comkeyword#}</div>
										<div class="setting_but"  >
											<a href="javascript:;" shield_id="{#$com.id#}" class="setting_change" title="修改"></a>
											<a href="javascript:;" shield_id="{#$com.id#}" class="setting_del"  title="删除"></a>
										</div>
									</div>
									{#/foreach#}
									{#/if#}
									<div class="add_shield_box" style="display:none;" id="persion_screen_do">
										<input type="text" name="screen_company" id="screen_company" class="add_shield_input" />
										<a href="javascript:;" id="company_screen_save" class="add_but">保存</a><a href="javascript:;" id="company_screen_cancel" class="cancel">取消</a>
									</div>
									
									<div class="add_shield_box link_blue add_s_com" >
										<a href="javascript:;" class="add_s_com_link" id="persion_screen_company">添加屏蔽企业</a>
									</div>
									
								</div>
							</div>
						</div>
					</div>
					<div class="right_bottom_box">
						<div class="index_right_title">最近来访</div>
						<div class="watch_me_box clearfix">
							<a href="personal_apply.php?act=attention&utype=3" >
								<div class="watch">
									<div class="watch_number">{#$hunter_num#}</div>
									<div class="watch_type">猎头顾问</div>
									<div class="sanjiao"></div>
								</div>
							</a>
							<a href="personal_apply.php?act=attention&utype=1" >
								<div class="watch">
									<div class="watch_number">{#$company_num#}</div>
									<div  class="watch_type">企业HR</div>
									<div class="sanjiao"></div>
								</div>
							</a>
						</div>
					</div>
					<div class="right_bottom_box rss">
						<div class="reweima">
							<div class="reweima_box">
								<img src="{#$QISHI.site_template#}images/reweima.jpg" alt="" />
							</div>
							<p>微信扫一扫</p>
							<span>用手机分享职位信息</span>
						</div>
					</div>
				</div>
			</div><!-- 首页右边结束 -->
		</div>
	</div><!-- 个人会员中心首页结束 -->
	<!-- 底部 -->
	{#include file="./footer.htm"#}
</body>
</html>